Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebSettings.WebAttribute

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.webkit.QWebSettings.WebAttribute

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWebSettings

    public static final class QWebSettings.WebAttribute

extends java.lang.Enum
implements QtEnumerator

This enum describes various attributes that are configurable through `QWebSettings`.

See Also:
  Serialized Form

Field Summary
`static QWebSettings.WebAttribute` | `AutoLoadImages` Specifies whether images are automatically loaded in web pages.
`static QWebSettings.WebAttribute` | `DeveloperExtrasEnabled` Enables extra tools for Web developers.
`static QWebSettings.WebAttribute` | `JavaEnabled` Enables or disables Java applets.
`static QWebSettings.WebAttribute` | `JavascriptCanAccessClipboard` Specifies whether JavaScript programs can read or write to the clipboard.
`static QWebSettings.WebAttribute` | `JavascriptCanOpenWindows` Specifies whether JavaScript programs can open new windows.
`static QWebSettings.WebAttribute` | `JavascriptEnabled` Enables or disables the running of JavaScript programs.
`static QWebSettings.WebAttribute` | `LinksIncludedInFocusChain` Specifies whether hyperlinks should be included in the keyboard focus chain.
`static QWebSettings.WebAttribute` | `PluginsEnabled` Enables or disables plugins in web pages.
`static QWebSettings.WebAttribute` | `PrivateBrowsingEnabled` Private browsing prevents WebKit from recording visited pages in the history and storing web page icons.

Method Summary
`static QWebSettings.WebAttribute` | `resolve(int value)` Returns the QWebSettings$WebAttribute constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWebSettings.WebAttribute` | `valueOf(java.lang.String name)`
`static QWebSettings.WebAttribute[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AutoLoadImages

    public static final QWebSettings.WebAttribute AutoLoadImages

  Specifies whether images are automatically loaded in web pages.

### JavascriptEnabled

    public static final QWebSettings.WebAttribute JavascriptEnabled

  Enables or disables the running of JavaScript programs.

### JavaEnabled

    public static final QWebSettings.WebAttribute JavaEnabled

  Enables or disables Java applets. Currently Java applets are not supported.

### PluginsEnabled

    public static final QWebSettings.WebAttribute PluginsEnabled

  Enables or disables plugins in web pages. Currently Flash and other plugins are not supported.

### PrivateBrowsingEnabled

    public static final QWebSettings.WebAttribute PrivateBrowsingEnabled

  Private browsing prevents WebKit from recording visited pages in the history and storing web page icons.

### JavascriptCanOpenWindows

    public static final QWebSettings.WebAttribute JavascriptCanOpenWindows

  Specifies whether JavaScript programs can open new windows.

### JavascriptCanAccessClipboard

    public static final QWebSettings.WebAttribute JavascriptCanAccessClipboard

  Specifies whether JavaScript programs can read or write to the clipboard.

### DeveloperExtrasEnabled

    public static final QWebSettings.WebAttribute DeveloperExtrasEnabled

  Enables extra tools for Web developers. Currently this enables the "Inspect" element in the context menu, which shows the WebKit WebInspector for web site debugging.

### LinksIncludedInFocusChain

    public static final QWebSettings.WebAttribute LinksIncludedInFocusChain

  Specifies whether hyperlinks should be included in the keyboard focus chain.

Method Detail

### values

    public static QWebSettings.WebAttribute[] values()

### valueOf

    public static QWebSettings.WebAttribute valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWebSettings.WebAttribute resolve(int value)

  Returns the QWebSettings$WebAttribute constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD